> ## Documentation Index
> Fetch the complete documentation index at: https://agentref.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payout information for authenticated affiliate key



## OpenAPI

````yaml /openapi.json get /me/payout-info
openapi: 3.1.0
info:
  title: AgentRef REST API
  version: 1.0.0
  description: >-
    REST API v1 for merchants and affiliates. Authentication via API keys
    (Authorization: Bearer ak_...).
servers:
  - url: /api/v1
    description: Current API version
security:
  - ApiKeyAuth: []
tags:
  - name: Auth
  - name: Onboarding
  - name: Programs
  - name: Merchant
  - name: Applications
  - name: Affiliates
  - name: Me
  - name: Coupons
  - name: Invites
  - name: Conversions
  - name: Payouts
  - name: Flags
  - name: Billing
  - name: Marketplace
  - name: Marketing Resources
  - name: Notifications
  - name: Webhooks
  - name: Docs
  - name: Meta
paths:
  /me/payout-info:
    get:
      tags:
        - Me
      summary: Get payout information for authenticated affiliate key
      operationId: getMyPayoutInfo
      responses:
        '200':
          description: Payout info
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PayoutInfo'
                  meta:
                    $ref: '#/components/schemas/RequestMeta'
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/ErrorResponse'
components:
  schemas:
    PayoutInfo:
      type: object
      properties:
        payoutMethod:
          type:
            - string
            - 'null'
          enum:
            - paypal
            - bank_transfer
            - null
        paypalEmail:
          type:
            - string
            - 'null'
          format: email
        bankAccountHolder:
          type:
            - string
            - 'null'
        bankIban:
          type:
            - string
            - 'null'
        bankBic:
          type:
            - string
            - 'null'
        firstName:
          type:
            - string
            - 'null'
        lastName:
          type:
            - string
            - 'null'
        addressLine1:
          type:
            - string
            - 'null'
        addressLine2:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        state:
          type:
            - string
            - 'null'
        postalCode:
          type:
            - string
            - 'null'
        vatId:
          type:
            - string
            - 'null'
      required:
        - payoutMethod
        - paypalEmail
        - bankAccountHolder
        - bankIban
        - bankBic
        - firstName
        - lastName
        - addressLine1
        - addressLine2
        - city
        - state
        - postalCode
        - vatId
    RequestMeta:
      type: object
      properties:
        requestId:
          type: string
      required:
        - requestId
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
        meta:
          $ref: '#/components/schemas/RequestMeta'
      required:
        - error
        - meta
  responses:
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Use API key as Bearer token, for example: Bearer ak_live_xxx'

````